Make wording of "Use separate windows.." setting less ambiguous

VERIFIED FIXED in 0.3a1

Status

Instantbird
Preferences
--
trivial
VERIFIED FIXED
4 years ago
4 years ago

People

(Reporter: Mic, Assigned: Mic)

Tracking

Details

(URL)

Attachments

(1 attachment, 4 obsolete attachments)

(Assignee)

Description

4 years ago
*** Original post on bio 387 at 2010-03-19 21:30:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

4 years ago
Created attachment 8352032 [details] [diff] [review]
New wording

*** Original post on bio 387 as attmnt 291 at 2010-03-19 21:30:00 UTC ***

See summary.
Comment on attachment 8352032 [details] [diff] [review]
New wording

*** Original change on bio 387 attmnt 291 at 2010-03-22 08:48:55 UTC ***

I agree that the current wording is confusing and should be improved, but "conversations" is not clear enough in your suggestion. A MUC is also a conversation...

Should we write "private conversations" or "1-to-1 conversations"? Both seem ugly :(.

Is "Open Multi-User Chats in a separate window" any better?
Attachment #8352032 - Flags: review-
(Assignee)

Comment 3

4 years ago
*** Original post on bio 387 at 2010-03-23 11:37:16 UTC ***

(In reply to comment #1)
> (From update of attachment 8352032 [details] [diff] [review] (bio-attmnt 291) [details])
> I agree that the current wording is confusing and should be improved, but
> "conversations" is not clear enough in your suggestion. A MUC is also a
> conversation...
> 
> Should we write "private conversations" or "1-to-1 conversations"? Both seem
> ugly :(.
> 
> Is "Open Multi-User Chats in a separate window" any better?

I derived it from "Open conversation" on the buddy list and "Join chat" from the menu item. 

Suggestion: decide once how to use the terms and use it consistently from then on (ie replacing any occurence of other wordings with the chosen one).

---
Having a guideline how to reference certain things could be a good idea in general (and make sure that the locale teams know that they should do similarly) but that's not in the scope of this bug.
*** Original post on bio 387 at 2010-03-23 12:04:40 UTC ***

(In reply to comment #2)

> I derived it from "Open conversation" on the buddy list

Conversation is either a 1-to-1 conversation or a MUC. If someday we decide to allow people to add MUCs in their buddy lists, the menuitem will be the same as for regular buddies.

(a bit off-topic: the word "Open" is not really appropriate in "Open conversation" because it doesn't not reflect an operation that the user actually performs. I thin it would be better to have either "Start a conversation" or "Focus current conversation", but it's tedious to check if there's already a conversation for that buddy before showing the context menu.)

> Having a guideline how to reference certain things could be a good idea in
> general (and make sure that the locale teams know that they should do
> similarly) but that's not in the scope of this bug.

Right, we probably want to have someday a page on the wiki with a list of words that need to be used and translated consistently.
(Assignee)

Comment 5

4 years ago
*** Original post on bio 387 at 2010-03-25 11:22:19 UTC ***

Here's the link to an article on the wiki, even though we .. still need to put some content there.

https://wiki.instantbird.org/Instantbird:Using_terms_consistently

Comment 6

4 years ago
*** Original post on bio 387 by Azat Tymerkaev <tymerkaev AT gmail.com> at 2010-03-28 10:41:57 UTC ***

My Idea:

* Open new tabs instead windows
 * Use for private conversations
 * Use for Multi-User chats

Comment 7

4 years ago
Created attachment 8352037 [details]
New Wording

*** Original post on bio 387 as attmnt 296 by tymerkaev AT gmail.com at 2010-03-28 11:00:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Comment 8

4 years ago
Created attachment 8352153 [details] [diff] [review]
Patch with wording from comment

*** Original post on bio 387 as attmnt 410 at 2010-12-05 21:54:00 UTC ***

I checked with Patrick C. and the following sounds OK to him (even though the first is still ambiguous):

 [x] Enable tabbed conversations
     [x] Group Multi-User Chats in a separate window
Attachment #8352153 - Flags: review?(florian)
(Assignee)

Updated

4 years ago
Assignee: nobody → benediktp
Status: NEW → ASSIGNED
Comment on attachment 8352153 [details] [diff] [review]
Patch with wording from comment

*** Original change on bio 387 attmnt 410 at 2010-12-05 22:08:31 UTC ***

When changing the meaning of a string, the name of the entity should change too, to ensure localizers will notice the change.
Attachment #8352153 - Flags: review?(florian) → review-
*** Original post on bio 387 at 2010-12-05 22:12:24 UTC ***

By the way, I forgot to add in the review comment that I think these string changes are a good improvement :).
(Assignee)

Comment 11

4 years ago
Created attachment 8352154 [details] [diff] [review]
Changed entity names

*** Original post on bio 387 as attmnt 411 at 2010-12-05 22:14:00 UTC ***

Good to know that. I changed entity names in this new patch.
Attachment #8352154 - Flags: review?(florian)
(Assignee)

Comment 12

4 years ago
Created attachment 8352155 [details] [diff] [review]
Next attempt

*** Original post on bio 387 as attmnt 412 at 2010-12-05 22:29:00 UTC ***

This time even with changed entity names on the XUL file ;)
Attachment #8352155 - Flags: review?(florian)
(Assignee)

Comment 13

4 years ago
Comment on attachment 8352154 [details] [diff] [review]
Changed entity names

*** Original change on bio 387 attmnt 411 at 2010-12-05 22:29:55 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352154 - Attachment is obsolete: true
Attachment #8352154 - Flags: review?(florian)
Comment on attachment 8352155 [details] [diff] [review]
Next attempt

*** Original change on bio 387 attmnt 412 at 2010-12-05 22:35:02 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352155 - Flags: review?(florian) → review+
*** Original post on bio 387 at 2010-12-07 16:29:47 UTC ***

Fixed: https://hg.instantbird.org/instantbird/rev/aaf9943749ab

A follow-up should probably be filed to keep track of the discussions we have had regarding possible additional improvements of the Tabs pane.
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.3a1
(Assignee)

Comment 16

4 years ago
*** Original post on bio 387 at 2011-02-07 15:31:02 UTC ***

Verified fixed on 0.3a1.
Status: RESOLVED → VERIFIED

Comment 17

4 years ago
Comment on attachment 8352032 [details] [diff] [review]
New wording

*** Original change on bio 387 attmnt 291 by tymerkaev AT gmail.com at 2011-02-07 15:57:51 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352032 - Attachment is obsolete: true

Comment 18

4 years ago
Comment on attachment 8352037 [details]
New Wording

*** Original change on bio 387 attmnt 296 by tymerkaev AT gmail.com at 2011-02-07 15:58:20 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352037 - Attachment is obsolete: true

Comment 19

4 years ago
Comment on attachment 8352153 [details] [diff] [review]
Patch with wording from comment

*** Original change on bio 387 attmnt 410 by tymerkaev AT gmail.com at 2011-02-07 15:58:33 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352153 - Attachment is obsolete: true
You need to log in before you can comment on or make changes to this bug.